'\" t
.\"     Title: DROP SCHEMA
.\"    Author: The PostgreSQL Global Development Group
.\" Generator: DocBook XSL Stylesheets v1.79.1 <http://docbook.sf.net/>
.\"      Date: 2021
.\"    Manual: PostgreSQL 9.6.24 Documentation
.\"    Source: PostgreSQL 9.6.24
.\"  Language: English
.\"
.TH "DROP SCHEMA" "7" "2021" "PostgreSQL 9.6.24" "PostgreSQL 9.6.24 Documentation"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
DROP_SCHEMA \- remove a schema
.SH "SYNOPSIS"
.sp
.nf
DROP SCHEMA [ IF EXISTS ] \fIname\fR [, \&.\&.\&.] [ CASCADE | RESTRICT ]
.fi
.SH "DESCRIPTION"
.PP
\fBDROP SCHEMA\fR
removes schemas from the database\&.
.PP
A schema can only be dropped by its owner or a superuser\&. Note that the owner can drop the schema (and thereby all contained objects) even if they do not own some of the objects within the schema\&.
.SH "PARAMETERS"
.PP
IF EXISTS
.RS 4
Do not throw an error if the schema does not exist\&. A notice is issued in this case\&.
.RE
.PP
\fIname\fR
.RS 4
The name of a schema\&.
.RE
.PP
CASCADE
.RS 4
Automatically drop objects (tables, functions, etc\&.) that are contained in the schema, and in turn all objects that depend on those objects (see
Section 5.13, \(lqDependency Tracking\(rq, in the documentation)\&.
.RE
.PP
RESTRICT
.RS 4
Refuse to drop the schema if it contains any objects\&. This is the default\&.
.RE
.SH "NOTES"
.PP
Using the
CASCADE
option might make the command remove objects in other schemas besides the one(s) named\&.
.SH "EXAMPLES"
.PP
To remove schema
mystuff
from the database, along with everything it contains:
.sp
.if n \{\
.RS 4
.\}
.nf
DROP SCHEMA mystuff CASCADE;
.fi
.if n \{\
.RE
.\}
.SH "COMPATIBILITY"
.PP
\fBDROP SCHEMA\fR
is fully conforming with the SQL standard, except that the standard only allows one schema to be dropped per command, and apart from the
IF EXISTS
option, which is a
PostgreSQL
extension\&.
.SH "SEE ALSO"
ALTER SCHEMA (\fBALTER_SCHEMA\fR(7)), CREATE SCHEMA (\fBCREATE_SCHEMA\fR(7))
